< img height="1" width="1" style="display:none;" alt="" src="https://px.ads.linkedin.com/collect/?pid=3131724&fmt=gif" />

概述

确定您的升级方案

KubeSphere 3.3 与 Kubernetes 1.19.x、1.20.x、1.21.x、* 1.22.x、* 1.23.x、* 1.24.x 兼容:

  • 在您升级集群至 KubeSphere 3.3 之前,您的 KubeSphere 集群版本必须为 v3.2.x。

  • 您可选择只将 KubeSphere 升级到 3.3 或者同时升级 Kubernetes(到更高版本)和 KubeSphere(到 3.3)。

  • 带星号的 Kubernetes 版本可能出现边缘节点部分功能不可用的情况。因此,如需使用边缘节点,推荐安装 Kubernetes v1.21.x 及之前的版本。

升级前

警告

  • 您应该先在测试环境中实施升级模拟。在测试环境中成功升级并且所有应用程序都正常运行之后,再在生产环境中升级您的集群。
  • 在升级过程中,应用程序可能会短暂中断(尤其是单副本容器组),请安排合理的升级时间。
  • 建议在生产环境中升级之前备份 etcd 和有状态应用程序。您可以使用 Velero 来备份和迁移 Kubernetes 资源以及持久化存储卷。

升级工具

根据您已有集群的搭建方式,您可以使用 KubeKey 或 ks-installer 升级集群。如果您的集群由 KubeKey 搭建,建议您使用 KubeKey 升级集群。如果您通过其他方式搭建集群,请使用 ks-installer 升级集群

通过邮件接收 KubeSphere 最新的技术博客与产品更新的通知


感谢您的反馈。如果您有关于如何使用 KubeSphere 的具体问题,请在 Slack 上提问。如果您想报告问题或提出改进建议,请在 GitHub 存储库中打开问题。